Retrieve OHLCV candlestick data for chart visualization
curl --request GET \
--url https://frontend-api-v3.pump.fun/candlesticks/{mint}{
"mint": "<string>",
"timeframe": 123,
"candlesticks": [
{
"timestamp": 123,
"open": "<string>",
"high": "<string>",
"low": "<string>",
"close": "<string>",
"volume": "<string>",
"trades": 123
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/BankkRoll/pumpfun-apis/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header:
Authorization: Bearer <your_token>
GET https://frontend-api-v3.pump.fun/candlesticks/{mint}
Show Candlestick Object
1 - 1 minute5 - 5 minutes15 - 15 minutes60 - 1 hour240 - 4 hours1440 - 1 daycurl -X GET "https://frontend-api-v3.pump.fun/candlesticks/7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr?offset=0&limit=100&timeframe=15" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json"
<your_token> with your actual JWT tokencurl --request GET \
--url https://frontend-api-v3.pump.fun/candlesticks/{mint}{
"mint": "<string>",
"timeframe": 123,
"candlesticks": [
{
"timestamp": 123,
"open": "<string>",
"high": "<string>",
"low": "<string>",
"close": "<string>",
"volume": "<string>",
"trades": 123
}
],
"total": 123
}